import unittest
import HtmlTestCase

class Collector9(HtmlTestCase.HtmlTestCase):
    def testFollowDisplays(self):
        self.get("http://localhost:8000/anchorTest.html")
	self.followAnchor(displays="Rusty Anchor")
	
	body = self.getTags("body")
	assert len(body) == 1
	body = body[0]

	assert body.displays("Welcome to the Rusty Anchor")

if __name__ == "__main__":
    unittest.main()
